Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Ez Overlay

A simple lightbox plugin designed to enable you to display html content within a popup window using just about any html element as a trigger.


How to implement the Ez Overlay lightbox:

  1. Copy the code for this example into the WordPress editor in the HTML window or start from scratch and go to step 2.
  2. Create an Ez Overlay Div element by assigning it a with the class="ez-overlay", to avoid css conflicts add your target div to the body of your html and not within a sidebar or another div.
  3. Assign the new Div a unique CSS Id so it can be activated by the trigger. Ie: id="my-overlay".
  4. Put whatever Html content within the Ez Overlay Div.
  5. Create a trigger for the overlay, it can be just about any Html element but needs an 'onlclick' attribute to activate the lightbox. See the ezFade() function below.


  1. Ie7 will render text elements within this overlay at a different size than Ie8. If this is an issue, just assign a width and height to your Ez Overlay target div using an inline style.
  2. Avoid padding or adding margins to the Ez Overlay target div. Padding adds to a div's width and height and will throw your overlay off-center. Just add a margin to the elements within the target div instead.
  3. In the folder named 'uncompressed-js', there is a file named 'ez-overlay.js' which is a readable copy of the compressed code for tinkering.
  4. The plugin removes the overlay div's from the dom when you exit out of them, this is so that .swf playback will be halted on all browsers. Don't panic, the plugin immediately returns them to the body of your html document at the very end.

ezFade Function:


The ezFade() function accepts five arguments, the first being the target lightbox to be triggered, the second is the fade time. The third argument is to activate "fixed mode", and finally the x/y coordinates if you want you overlay to be fixed in a certain position.

Requires: 2.8 or higher
Compatible up to: 3.0.5
Last Updated: 2010-11-5
Active Installs: 500+


0 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.